<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        //////////////MATRICES/////////////////
  
        const matrizPrimera = [[2, 0, 1], [3, 0, 0], [5, 1, 1]]
        const matrizSegunda = [[1, 0, 1], [1, 2, 1], [1, 1, 2]]


            function comprobar(uno, dos) {
                for (let i = 0; i < uno.length; i++) {
                    for (let j = 0; j < dos.length; j++) {
                        if (isNaN(uno[i][j]) != isNaN(dos[i][j])) {
                        console.log ("Las matrices no son de dimensiones iguales")
                        }
                       else esCuadrada(uno,dos);
                    } 
                }
            }
            function esCuadrada(uno,dos){
                for (let i = 0; i < uno.length; i++) {
                    for (let j = 0; j < dos.length; j++) {
                        if(uno[i] != dos[i] && uno[i][j] != dos[i][j]){
                            console.log("Una de las matrices no es cuadrada canviala")
                        }
                    } 
                }
            }
            comprobar(matrizPrimera, matrizSegunda)
           
            function sumaMatriz(primera, segunda) {
                for (let j = 0; j < primera.length; j++) {
                    for (let i = 0; i < segunda.length; i++) {
                        primera[j][i] += segunda[j][i]

                    }
                }
                alert(primera)
            }
            sumaMatriz(matrizPrimera,matrizSegunda)

            function restaMatriz(primera, segunda) {
                for (let j = 0; j < primera.length; j++) {
                    for (let i = 0; i < segunda.length; i++) {
                        primera[j][i] -= segunda[j][i]

                    }
                }
                alert(primera)
            }
            restaMatriz(matrizPrimera,matrizSegunda)

            ///////////MATRICULA/////////////////
            let matricula = "1234 FBC";

            function comprobarNumero(matricula) {
                if (isNaN(matricula[0]) || isNaN(matricula[1]) || isNaN(matricula[2]) || isNaN(matricula[3])) {
                    alert("Error los cuatro primeros dijitos han de ser numeros")
                }
            }

            function comprobarEspacio(matricula) {
                if (matricula[4] != " ") {
                    alert("Hay dijitos en exceso deberias dejar un espacio de hueco entre nueros y letras")
                }
            }

            function comprobarLetras(matricula) {
                for (let i = 0; i < matricula.length; i++) {
                    if (matricula[i].toUpperCase() == "A" || matricula[i].toUpperCase() == "E" || matricula[i].toUpperCase() == "I" || matricula[i].toUpperCase() == "O" || matricula[i].toUpperCase() == "U") {
                        alert("Error todas las letras deben ser consonantes")
                    }
                }
            }

            function testMatricula(matricula) {
                alert("Tu matricula es: " + matricula)
                comprobarEspacio(matricula);
                comprobarNumero(matricula);
                comprobarLetras(matricula);
            }
            testMatricula(matricula);
        
    </script>
</body>
        
</html>